import { SparkleQuizQuestion } from '../../../models/quiz.model';
interface MyResponse {
  question: string;
  responseType: string;
  responses: Array<{
    count: number;
    response: string;
  }>;
  total: number;
}
export declare class SparkleDiscussionResults {
  el: HTMLElement;
  allowPostToFeed: boolean;
  feedStartingText: string;
  questionsChaged(newValue: Array<SparkleQuizQuestion>, _oldValue: Array<SparkleQuizQuestion>): void;
  isTeacherMode: boolean;
  questions: Array<SparkleQuizQuestion>;
  error: string;
  modelChange: string;
  responses: Array<MyResponse>;
  tempResponses: Array<MyResponse>;
  suggestionList: Array<{
    questionId: number;
    question: string;
    answer: string;
    responseType: string;
  }>;
  gotServerUpdate(evt: any): void;
  addToWordCloud(q: any): void;
  addToBarChart(q: any): void;
  componentDidLoad(): void;
  setupData(questions: any): void;
  resetPollData(): void;
  setupResponseGraph(questions: Array<SparkleQuizQuestion>): void;
  columnHeight(responseCount: any, totalResponseCount: any): {
    height: string;
  };
  getRandomColorAndFontSize(count: number): {
    color: string;
    'font-size': string;
  };
  renderResults(): any[][];
  render(): any[][];
}
export {};
